Perform various operations on tracking records.
Operations
getTracking
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getTrackingPOST /nexum/627/2022.01/account/getTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getTrackingSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getTrackingSelectFieldsPOST /nexum/627/2022.01/account/getTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"TrackingLocator": 21,
"SelectableFields": {
"TrackingFields": {
"Locator": true,
"Type": true
}
}
}getTrackingPagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getTrackingPagedListPOST /nexum/627/2022.01/account/getTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getTrackingListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getTrackingListSelectFieldsPOST /nexum/627/2022.01/account/getTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"SelectableFields": {
"IncludeAllTrackingFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchTrackingSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchTrackingSelectFieldsPOST /nexum/627/2022.01/account/searchTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"SelectableFields": {
"TrackingFields": {
"Locator": true,
"Type": true
}
},
"SearchFilter": {
"Query": "type=30"
}
}getTrackingPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getTrackingPagedListSelectFieldsPOST /nexum/627/2022.01/account/getTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5
},
"SelectableFields": {
"TrackingFields": {
"Locator": true,
"Type": true
}
}
}searchTrackingPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchTrackingPagedSelectFieldsPOST /nexum/627/2022.01/account/searchTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5
},
"SelectableFields": {
"TrackingFields": {
"Locator": true,
"Type": true
}
},
"Query": "type=30"
}updateTrackingByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
TrackingLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/updateTrackingByIDPOST /nexum/627/2022.01/account/updateTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingLocator": 0,
"TrackingUpdatableFields": {
"Type": 0,
"TrackingCode": 0,
"UserChar1": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createTracking
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TrackingLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createTrackingPOST /nexum/627/2022.01/account/createTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingCreatableFields": {
"Type": 0,
"TrackingCode": 0,
"UserChar1": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteTracking
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/account/deleteTrackingPOST /nexum/627/2022.01/account/deleteTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}